program minimisation
  use M_types
  use M_Descente
  use M_func
  implicit none
  !Declaration des variables
  TYPE(donnees)                   ::Data
  integer                         ::k


  !lecture des variables
  open(unit=15,file='donnees.inp',status='old')
  read(15,*)                   !une ligne vide de commentaires
  read(15,*)Data%Nmeth         !numero de la methode d'optimisation
  read(15,*)Data%Nfunc         !numero de la fonction
  read(15,*)Data%Nmax          !iteration max
  read(15,*)Data%eps           !pas de calcul du gradient
  read(15,*)Data%tol           !tolerance de non nullit du gradient
  read(15,*)Data%pas           !pas du gradient  pas constant
  read(15,*)Data%r             !rendement espere
  read(15,*)Data%cont          !nb de contraintes egalite

  allocate(Data%contnum(Data%cont))
  do k=1,Data%cont
     read(15,*)Data%contnum(k) !numero de la kieme fonction contrainte
  enddo

  read(15,'(L3)')Data%pos      !positivite des composantes

  close(15)

  !initialisation de la dimension des tableaux
  call Dimfunc(Data)



  call Uzawa_penalisation(Data)

  deallocate(Data%contnum)

end program minimisation
